package com.example.smartlab.Activity

import android.os.Bundle
import com.google.android.material.bottomnavigation.BottomNavigationView
import androidx.appcompat.app.AppCompatActivity
import androidx.navigation.findNavController
import androidx.navigation.ui.setupWithNavController
import com.example.smartlab.Fragment.SupportFragment
import com.example.smartlab.R
import com.example.smartlab.databinding.ActivityNavigationBinding

//https://m2.material.io/components/bottom-navigation/android#bottom-navigation-bar

class NavigationActivity : AppCompatActivity() {

    private lateinit var binding: ActivityNavigationBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityNavigationBinding.inflate(layoutInflater)
        setContentView(binding.root)
        //нахождение навигационного корнтроллера фрагмента
        val navController = this.findNavController(R.id.nav_host_fragment_activity_navigation)
        //нахождение нижней навигационной панели
        val navView: BottomNavigationView = binding.bottomNavView

        //привязка навигациооного контролера к панели


        navView.setupWithNavController(navController)
    }
}